[问题求助] deepin-dde-nightly 无法安装gcc4.8吗
体验心得 436 次浏览 · 6个回复
电梯直达到第
poster avatar
Oscer
deepin
发表于2022-01-28 09:01
楼主

想编译下jdk8,但是出现语法错误,然后想使用gcc4.8,发现这个版本的仓库里边没有4.8版本怎么办,大佬能帮我解决下吗,谢谢

正在读取软件包列表... 完成
正在分析软件包的依赖关系树... 完成
正在读取状态信息... 完成
注意,根据正则表达式 'gcc-4.9' 选中了 'gcc-4.9-arm-linux-gnueabi'
注意,根据正则表达式 'gcc-4.9' 选中了 'gcc-4.9-s390x-linux-gnu'
注意,根据正则表达式 'gcc-4.9' 选中了 'gcc-4.9-sh4-linux-gnu'
注意,根据正则表达式 'gcc-4.9' 选中了 'gcc-4.9-hppa64'
注意,根据正则表达式 'gcc-4.9' 选中了 'gcc-4.9-sparc64-linux-gnu'
注意,根据正则表达式 'gcc-4.9' 选中了 'gcc-4.9-aarch64-linux-gnu'
注意,根据正则表达式 'gcc-4.9' 选中了 'gcc-4.9-mips64-linux-gnuabi64'
注意,根据正则表达式 'gcc-4.9' 选中了 'gcc-4.9-m68k-linux-gnu'
注意,根据正则表达式 'gcc-4.9' 选中了 'gcc-4.9-powerpc64-linux-gnu'
注意,根据正则表达式 'gcc-4.9' 选中了 'gcc-4.9-powerpc-linux-gnuspe'
注意,根据正则表达式 'gcc-4.9' 选中了 'gcc-4.9-arm-linux-gnueabihf'
注意,根据正则表达式 'gcc-4.9' 选中了 'gcc-4.9-mips-linux-gnu'
注意,根据正则表达式 'gcc-4.9' 选中了 'gcc-4.9-powerpc64le-linux-gnu'
注意,根据正则表达式 'gcc-4.9' 选中了 'gcc-4.9-hppa-linux-gnu'
注意,根据正则表达式 'gcc-4.9' 选中了 'gcc-4.9-powerpc-linux-gnu'
注意,根据正则表达式 'gcc-4.9' 选中了 'gcc-4.9-mipsel-linux-gnu'
注意,根据正则表达式 'gcc-4.9' 选中了 'gcc-4.9-sparc-linux-gnu'
注意,根据正则表达式 'gcc-4.9' 选中了 'gcc-4.9-mips64el-linux-gnuabi64'
注意,根据正则表达式 'gcc-4.9' 选中了 'gcc-4.9-alpha-linux-gnu'
升级了 0 个软件包,新安装了 0 个软件包,要卸载 0 个软件包,有 0 个软件包未被升级。

回复 收藏 只看作者
所有回复
lcw0268
deepin
发表于 2022-01-28 09:15
沙发
该评论已删除!
Oscer
deepin
发表于 2022-01-28 09:17
板凳
该评论已删除!
Oscer
deepin
发表于 2022-01-28 09:19
地板
lcw0268该评论已删除!

大佬,4.8和4.9都不可以。

回复 只看作者
Oscer
deepin
发表于 2022-01-28 09:23
4楼

我是使用apt包管理器安装的

回复 只看作者
lcw0268
deepin
发表于 2022-01-28 09:24
5楼
该评论已删除!
Oscer
deepin
发表于 2022-01-28 09:27
6楼

编译jdk8需要,我之前装ubuntu可以,但是ubuntu的风格不是很喜欢,倒腾坏了几次。安装deepin后发现gcc4.8没法安装

回复 只看作者
Oscer
deepin
发表于 2022-01-28 09:33
7楼

deb https://proposed-packages.deepin.com/dde-nightly/ bullseye main contrib non-free
deb https://proposed-packages.deepin.com/dde-nightly/ deepin-bullseye main contrib non-free
deb https://proposed-packages.deepin.com/dde-nightly/ dde-bullseye main contrib non-free
deb https://proposed-packages.deepin.com/dde-nightly/ deepin-wine main contrib non-free
#deb-src https://proposed-packages.deepin.com/dde-nightly/ bullseye main contrib non-free

那个源文件的链接我跳到软件源站也没找到4.8,可能是不提供了吧,谢谢大佬,我换个jdk版本编译吧

回复 只看作者
lcw0268
deepin
发表于 2022-01-28 09:41
8楼
该评论已删除!
Oscer
deepin
发表于 2022-01-28 09:42
9楼

谢谢大佬,我试下

回复 只看作者
_ayaya_
deepin
发表于 2022-01-28 09:58
10楼
该评论已删除!
Oscer
deepin
发表于 2022-01-28 12:56
11楼

好了,换了版本和源

#deb https://community-packages.deepin.com/deepin/ apricot main contrib non-free
#deb [by-hash=force] http://packages.deepin.com/deepin/ stable main contrib non-free
deb [by-hash=force] http://packages.deepin.com/deepin/ unstable main contrib non-free
#deb-src https://community-packages.deepin.com/deepin/ apricot main contrib non-free

回复 只看作者
使用Markdown编辑器
加载中...